org.apache.hadoop.yarn.client

## Class NMProxy

- java.lang.Object
- - org.apache.hadoop.yarn.client.ServerProxy
  - - org.apache.hadoop.yarn.client.NMProxy

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public class NMProxy
      extends ServerProxy

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NMProxy()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `createNMProxy(org.apache.hadoop.conf.Configuration conf, Class<T> protocol, org.apache.hadoop.security.UserGroupInformation ugi, YarnRPC rpc, InetSocketAddress serverAddress)`

    - ### Methods inherited from class org.apache.hadoop.yarn.client.ServerProxy

      `createRetriableProxy, createRetryPolicy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NMProxy

          public NMProxy()

  - ### Method Detail

    - #### createNMProxy

          public static <T> T createNMProxy(org.apache.hadoop.conf.Configuration conf,
                                            Class<T> protocol,
                                            org.apache.hadoop.security.UserGroupInformation ugi,
                                            YarnRPC rpc,
                                            InetSocketAddress serverAddress)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.